Page 2 of 2 FirstFirst 12
Results 11 to 15 of 15

Thread: Hi, Can someone help about text in AutoCad?

  1. #11
    Member
    Join Date
    2012-01
    Posts
    36
    Login to Give a bone
    0

    Smile Re: Hi, Can someone help about text in AutoCad?

    Quote Originally Posted by pbejse View Post
    Pick a number saqib... we can make it a constant so it will always be 20 before it creates another column or would you rather be prompted for every use.. which one do you prefer?

    Also with this new format Horizontal sorting is now a moot point does it?

    See updated code [post # 2]
    Helo pbejse,
    Updated version of this Lisp is working fine now, it is sorting right than previous one. I think 20 number is just fine, if I need a 40 to create another column then I'll try to move texts manually.

    And now Horizontal sorting is not a moot point.
    I am very thankful to you for your time and help.

    In Last, I have a LISP (attached) which selects all texts in the drawing by making a window and moves it like MOVE command. I want to know can you make a Lisp to select only "Numeric values" OR only "Alphabetic Values". Because in some drawings Plot numbers and other texts like "Road", "Green Area" and so.. are in same LAYER which needs to be placed on their specific Layer (with attached Lisp I can do it but I have to look whether there are only numbers selected or alphatic values selected).
    I don't mean to disturb you. Do it when you have time.
    TAKE CARE.
    Attached Files Attached Files

  2. #12
    All AUGI, all the time
    Join Date
    2010-10
    Posts
    535
    Login to Give a bone
    0

    Default Re: Hi, Can someone help about text in AutoCad?

    Quote Originally Posted by saqib_theleo View Post
    Helo pbejse,
    Updated version of this Lisp is working fine now, it is sorting right than previous one. I think 20 number is just fine, if I need a 40 to create another column then I'll try to move texts manually.

    And now Horizontal sorting is not a moot point.
    I am very thankful to you for your time and help.

    In Last, I have a LISP (attached) which selects all texts in the drawing by making a window and moves it like MOVE command. I want to know can you make a Lisp to select only "Numeric values" OR only "Alphabetic Values". Because in some drawings Plot numbers and other texts like "Road", "Green Area" and so.. are in same LAYER which needs to be placed on their specific Layer (with attached Lisp I can do it but I have to look whether there are only numbers selected or alphatic values selected).
    I don't mean to disturb you. Do it when you have time.
    TAKE CARE.

    Good for you saqib

    If you want to change the number of lines per column
    (= cnt 20) to
    (= cnt 39)

    As for your other request

    Code:
    (defun c:mtl  (/ Mode sel)
          (initget 1 "A N")
          (setq Mode (getkword "\nEnter String type [Numeric/Alpha]: "))
          (setq sel (ssget "_X"
                           (list '(0 . "*TEXT")
                                 (cons 410 (getvar 'CTAB))
                                 (cons 1
                                       (if (eq Mode "N")
                                             "#*"
                                             "~#*")))
                           )
                )
          (command "_chprop" sel "" "Layer" (getvar 'Clayer) "")
          (sssetfirst nil sel)	;;;		<-- for you to see whats selected
         	 	;;;		You can do without this line	
     (princ)	
          )
    Hope this helps

  3. #13
    Member
    Join Date
    2012-01
    Posts
    36
    Login to Give a bone
    0

    Smile Re: Hi, Can someone help about text in AutoCad?

    Quote Originally Posted by pbejse View Post
    Good for you saqib

    If you want to change the number of lines per column
    (= cnt 20) to
    (= cnt 39)

    As for your other request

    Code:
    (defun c:mtl  (/ Mode sel)
          (initget 1 "A N")
          (setq Mode (getkword "\nEnter String type [Numeric/Alpha]: "))
          (setq sel (ssget "_X"
                           (list '(0 . "*TEXT")
                                 (cons 410 (getvar 'CTAB))
                                 (cons 1
                                       (if (eq Mode "N")
                                             "#*"
                                             "~#*")))
                           )
                )
          (command "_chprop" sel "" "Layer" (getvar 'Clayer) "")
          (sssetfirst nil sel)    ;;;        <-- for you to see whats selected
                  ;;;        You can do without this line    
     (princ)    
          )
    Hope this helps
    Hello pbejse,
    Thanks for your help again. It really helped me and makes it easy to change number of lines per column as you told me.
    And the second LISP you provided is as I requested. Thanks for that too.
    I try alot to learn how to make lisp but unfortunately I cannot learn that, its difficult for me. But I am happy people like you are there to help others like me. GOD bless you and those who help others.Take care and thanks again.
    BYE....

  4. #14
    All AUGI, all the time
    Join Date
    2010-10
    Posts
    535
    Login to Give a bone
    0

    Default Re: Hi, Can someone help about text in AutoCad?

    Glad I could help

    Cheers

  5. #15
    Member
    Join Date
    2014-10
    Posts
    2
    Login to Give a bone
    0

    Default Re: Hi, Can someone help about text in AutoCad?

    Hi, check this please:

    Command: test

    Select objects: Specify opposite corner: 19 found

    Select objects:

    Enter Sort order [Ascending/Descending]: a

    Pick point for Text postion:; error: no function definition:
    VLAX-ENAME->VLA-OBJECT


    this appears when I click on anywhere
    Please help

Page 2 of 2 FirstFirst 12

Similar Threads

  1. Text justification conflicts in AutoCad 2008 & AutoCad Mech 2008
    By AllenAlexand in forum AutoCAD Mechanical - General
    Replies: 0
    Last Post: 2009-05-05, 05:41 PM
  2. AutoCAD 2006 Text Editor, restore to AutoCAD 2000 behaviour
    By louis.64641 in forum AutoCAD General
    Replies: 4
    Last Post: 2007-05-29, 03:58 PM
  3. AutoCAD LT - Macro to set text size according to dimscale text
    By kwong in forum AutoCAD Customization
    Replies: 6
    Last Post: 2007-05-07, 10:18 AM
  4. AutoCAD LT 2005 - Convert Text to Arc text
    By yheber in forum AutoCAD LT - General
    Replies: 3
    Last Post: 2006-12-06, 06:02 AM
  5. Convert OLE text to AutoCAD text
    By waghorne in forum AutoCAD General
    Replies: 6
    Last Post: 2006-01-05, 10:16 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •